/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Prediction_unit_Glue/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {
namespace prediction_unit_glue {


#undef  FUNCTION
#define FUNCTION "Prediction_unit_Glue::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Prediction_unit_Glue,FUNCTION,"Begin");

    Parameters_test test ("Prediction_unit_Glue");

    if (_nb_inst_predict > _nb_context)
      test.error("nb_inst_predict must be <= nb_context\n");

    log_printf(FUNC,Prediction_unit_Glue,FUNCTION,"End");

    return test;
  };

}; // end namespace prediction_unit_glue
}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
